import * as $dara from '@darabonba/typescript';
import { SubmitTenantCheckResponseBody } from "./SubmitTenantCheckResponseBody";
export declare class SubmitTenantCheckResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: SubmitTenantCheckResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
